aboutsummaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
authorSamruddhi Khandale <skhandale@microsoft.com>2022-06-02 03:51:02 +0300
committerGitHub <noreply@github.com>2022-06-02 03:51:02 +0300
commitf2a9bbb7a369a5ae229e7c50093a4901d66e8c59 (patch)
treedc31fd18365d2f62df0d9164723865f44c721a63 /src
parent1063e12950f52606ab52e2c1bc3d9b77955db075 (diff)
ruby: fix sourcing bug (#37)
fix sourcing bug
Diffstat (limited to 'src')
-rw-r--r--src/ruby/install.sh4
1 files changed, 1 insertions, 3 deletions
diff --git a/src/ruby/install.sh b/src/ruby/install.sh
index e13158d..7c71282 100644
--- a/src/ruby/install.sh
+++ b/src/ruby/install.sh
@@ -268,7 +268,5 @@ if [ ${SKIP_RBENV_RBUILD} != "true"] ; then
fi
# Clean up
-source /usr/local/rvm/scripts/rvm
-rvm cleanup all
-gem cleanup
+su ${USERNAME} -c ". /usr/local/rvm/scripts/rvm && rvm cleanup all && \"$(which gem || echo ${ROOT_GEM})\" cleanup"
echo "Done!"